## haskell98-tutorial 200006-2

=== debian/changelog ===
haskell98-tutorial (200006-2-3) unstable; urgency=medium

  * QA upload.
  * Build-depend on texlive-plain-generic instead of obsolete texlive-
    generic-recommended.

 -- Steve Langasek <vorlon@debian.org>  Tue, 01 Oct 2019 14:00:12 -0700

haskell98-tutorial (200006-2-2) unstable; urgency=medium

  * QA upload.
  * Set Maintainer to Debian QA Group.  (See: #772424)
  * Switch to source format 3.0 (quilt).
  * Add Build-Depends: libfl-dev.  (Closes: #846428)
  * Add build-arch/build-indep targets.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 10 Dec 2016 14:58:19 +0100

haskell98-tutorial (200006-2-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control, debian/compat: move to debhelper 5. Closes: #817491
  * debian/rules: use dh_prep instead of dh_clean -k

 -- Bill Allombert <ballombe@debian.org>  Sun, 24 Jul 2016 14:26:38 +0200

haskell98-tutorial (200006-2-1.1) unstable; urgency=low

  * Non-maintainer upload based on a patch by Arjan Oosting:
    - Build against texlive as tetex has been dropped. (Closes: #419397)
    - tex.hs: import unsafePerformIO from System.IO.Unsafe as the IOExts
      module is no longer included on the default search path since the
      September 2006 release of Hugs.
  * haskell98-tutorial.doc-base: 
    - Change programming to Programming to follow doc-base policy.
  
 -- Bill Allombert <ballombe@debian.org>  Wed, 17 Dec 2008 15:37:56 +0100

haskell98-tutorial (200006-2-1) unstable; urgency=low

  * New upstream source, also claiming to be June 2000. Closes: #344323.
  * Fix indentation in tex.hs so the build works.
  * Change Build-Depends-Indep to Build-Depends.
  * Remove build-depends on fakeroot.
  * Remove empty postrm prerm postinst preinst.
  * Simplify debian/rules, removing knowledge about exactly what is built.
  * Remove {,} bashism from debian/rules.
  * Don't pass "-c60 -h5000000" to runhugs in make-html; no longer seems
    to be needed.
  * Bump standards version to 3.7.2.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Mon, 27 Nov 2006 20:34:47 +0000

haskell98-tutorial (200006-3) unstable; urgency=low

  * Fix links into haskell98-report. Closes: #204935.
  * Add a recommends for haskell98-report.
  * Replace 404-ing URLs with citations.
  * Update debhelper build-dep to >= 4.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Thu, 13 Nov 2003 18:47:37 +0000

haskell98-tutorial (200006-2) unstable; urgency=low

  * Fix tex.hs indentation so the latest hugs accepts it. Closes: #191529.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Sat, 03 May 2003 17:06:26 +0100

haskell98-tutorial (200006-1) unstable; urgency=low

  * Split package out from haskell-doc [Ganesh Sittampalam]

 -- Ian Lynagh (wibble) <igloo@debian.org>  Mon, 31 Mar 2003 18:06:25 +0100
