=== debian/control ===
Source: haskell98-tutorial
Maintainer: Debian QA Group <packages@qa.debian.org>
Section: doc
Priority: optional
Standards-Version: 3.7.2
Build-Depends:
 debhelper (>= 5),
 hugs,
 flex,
 libfl-dev,
 texlive-latex-base,
 texlive-plain-generic,

Package: haskell98-tutorial
Architecture: all
Depends: ${misc:Depends}
Recommends: haskell98-report
Suggests: lynx | www-browser
Conflicts: haskell-doc (<= 19991028-3)
Description: A Gentle Introduction to Haskell 98
 The Gentle Introduction is designed to serve as a supplement to the 
 Haskell 98 Report; it provides a tutorial introduction for someone
 who is already familiar with another programming language (preferably
 a functional one).
