=== debian/rules ===
#!/usr/bin/make -f

# This is the debian/rules file for haskell98-tutorial, based on
# the architecture independent debhelper example file by Joey Hess.

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

PREFIX=`pwd`/debian/`dh_listpackages`
DOCDIR=$(PREFIX)/usr/share/doc/`dh_listpackages`
HTMLDIR=$(DOCDIR)/html
CODEDIR=$(HTMLDIR)/code

build: build-arch build-indep
build-arch:
build-indep: build-stamp
build-stamp:
	dh_testdir

	$(MAKE) verbatim haskell-tutorial.dvi
	./make-html
	./make-html

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	rm -rf html/
	rm -f verbatim tutrefs
	rm -f haskell-tutorial.dvi
	rm -f haskell-tutorial.log
	rm -f haskell-tutorial.aux
	rm -f $(patsubst %.verb,%.tex,$(wildcard *.verb))

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	mkdir -p $(HTMLDIR)
	cp -a html/* $(HTMLDIR)

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installman
#	dh_installinfo
#	dh_undocumented
	dh_installman
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
#	dh_perl
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
